Bug 1104097 (CVE-2014-3940) - CVE-2014-3940 Kernel: missing check during hugepage migration
Summary: CVE-2014-3940 Kernel: missing check during hugepage migration
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3940
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1105037 1105038 1105039 1105040 1105041 1105042
Blocks: 1104017
TreeView+ depends on / blocked
 
Reported: 2014-06-03 09:34 UTC by Prasad J Pandit
Modified: 2021-02-17 06:31 UTC (History)
31 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way Linux kernel's Transparent Huge Pages (THP) implementation handled non-huge page migration. A local, unprivileged user could use this flaw to crash the kernel by migrating transparent hugepages.
Clone Of:
Environment:
Last Closed: 2015-07-22 19:27:06 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0913 0 normal SHIPPED_LIVE Important: kernel-rt security update 2014-07-22 22:00:11 UTC
Red Hat Product Errata RHSA-2015:0290 0 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-03-05 16:13:58 UTC
Red Hat Product Errata RHSA-2015:1272 0 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2015-07-22 11:56:25 UTC

Description Prasad J Pandit 2014-06-03 09:34:56 UTC
Linux kernel built with the HugeTLB file system(CONFIG_HUGETLBFS
+ CONFIG_HUGETLB_PAGE) along with Non Uniform Memory Access(CONFIG_NUMA)
support is vulnerable to possible race conditions. It could occur when kernel
attempts to perform hugepage migration.

Upstream fix:
-------------
  -> https://lkml.org/lkml/2014/3/18/784  (only part 1 of the 2 patches)
  Ie: mm: add !pte_present() check on existing hugetlb_entry callbacks

Reference:
----------
  -> http://seclists.org/oss-sec/2014/q2/399

Comment 1 Prasad J Pandit 2014-06-05 09:16:40 UTC
Statement:

This issue did not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5.

Comment 4 Prasad J Pandit 2014-06-05 09:27:22 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1105042]

Comment 7 Fedora Update System 2014-06-11 16:30:59 UTC
kernel-3.14.6-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-06-16 23:30:02 UTC
kernel-3.14.7-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 John Kacur 2014-06-26 22:38:03 UTC
commit d4c54919ed86302094c0ca7d48a8cbd4ee753e92 upstream

Comment 10 errata-xmlrpc 2014-07-22 18:04:32 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0913 https://rhn.redhat.com/errata/RHSA-2014-0913.html

Comment 11 errata-xmlrpc 2015-03-05 12:15:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0290 https://rhn.redhat.com/errata/RHSA-2015-0290.html

Comment 12 errata-xmlrpc 2015-07-22 08:07:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1272 https://rhn.redhat.com/errata/RHSA-2015-1272.html


Note You need to log in before you can comment on or make changes to this bug.